<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LGatewayEndpointDigitalAccessPri StructType
 * @subpackage Structs
 */
class LGatewayEndpointDigitalAccessPri extends AbstractStructBase
{
    /**
     * The domainName
     * Meta information extracted from the WSDL
     * - choice: domainName | gatewayUuid
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 0
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $domainName;
    /**
     * The gatewayUuid
     * Meta information extracted from the WSDL
     * - documentation: pkid of the Gateway whose endpoint is to be added
     * - base: xsd:string
     * - choice: domainName | gatewayUuid
     * - choiceMaxOccurs: 1
     * - choiceMinOccurs: 0
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $gatewayUuid;
    /**
     * The unit
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $unit;
    /**
     * The subunit
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $subunit;
    /**
     * The endpoint
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\LGatewayEndpointDigitalPri
     */
    public $endpoint;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for LGatewayEndpointDigitalAccessPri
     * @uses LGatewayEndpointDigitalAccessPri::setDomainName()
     * @uses LGatewayEndpointDigitalAccessPri::setGatewayUuid()
     * @uses LGatewayEndpointDigitalAccessPri::setUnit()
     * @uses LGatewayEndpointDigitalAccessPri::setSubunit()
     * @uses LGatewayEndpointDigitalAccessPri::setEndpoint()
     * @uses LGatewayEndpointDigitalAccessPri::setUuid()
     * @param string $domainName
     * @param string $gatewayUuid
     * @param string $unit
     * @param string $subunit
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\LGatewayEndpointDigitalPri $endpoint
     * @param string $uuid
     */
    public function __construct($domainName = null, $gatewayUuid = null, $unit = null, $subunit = null, \\Losc\CucmBundle\Model\Webservice\StructType\LGatewayEndpointDigitalPri $endpoint = null, $uuid = null)
    {
        $this
            ->setDomainName($domainName)
            ->setGatewayUuid($gatewayUuid)
            ->setUnit($unit)
            ->setSubunit($subunit)
            ->setEndpoint($endpoint)
            ->setUuid($uuid);
    }
    /**
     * Get domainName value
     * @return string|null
     */
    public function getDomainName()
    {
        return isset($this->domainName) ? $this->domainName : null;
    }
    /**
     * Set domainName value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $domainName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LGatewayEndpointDigitalAccessPri
     */
    public function setDomainName($domainName = null)
    {
        if (is_null($domainName) || (is_array($domainName) && empty($domainName))) {
            unset($this->domainName);
        } else {
            $this->domainName = $domainName;
        }
        return $this;
    }
    /**
     * Get gatewayUuid value
     * @return string|null
     */
    public function getGatewayUuid()
    {
        return isset($this->gatewayUuid) ? $this->gatewayUuid : null;
    }
    /**
     * Set gatewayUuid value
     * This property belongs to a choice that allows only one property to exist. It is
     * therefore removable from the request, consequently if the value assigned to this
     * property is null, the property is removed from this object
     * @param string $gatewayUuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LGatewayEndpointDigitalAccessPri
     */
    public function setGatewayUuid($gatewayUuid = null)
    {
        if (is_null($gatewayUuid) || (is_array($gatewayUuid) && empty($gatewayUuid))) {
            unset($this->gatewayUuid);
        } else {
            $this->gatewayUuid = $gatewayUuid;
        }
        return $this;
    }
    /**
     * Get unit value
     * @return string|null
     */
    public function getUnit()
    {
        return $this->unit;
    }
    /**
     * Set unit value
     * @param string $unit
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LGatewayEndpointDigitalAccessPri
     */
    public function setUnit($unit = null)
    {
        $this->unit = $unit;
        return $this;
    }
    /**
     * Get subunit value
     * @return string|null
     */
    public function getSubunit()
    {
        return $this->subunit;
    }
    /**
     * Set subunit value
     * @param string $subunit
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LGatewayEndpointDigitalAccessPri
     */
    public function setSubunit($subunit = null)
    {
        $this->subunit = $subunit;
        return $this;
    }
    /**
     * Get endpoint value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LGatewayEndpointDigitalPri|null
     */
    public function getEndpoint()
    {
        return $this->endpoint;
    }
    /**
     * Set endpoint value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\LGatewayEndpointDigitalPri $endpoint
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LGatewayEndpointDigitalAccessPri
     */
    public function setEndpoint(\\Losc\CucmBundle\Model\Webservice\StructType\LGatewayEndpointDigitalPri $endpoint = null)
    {
        $this->endpoint = $endpoint;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LGatewayEndpointDigitalAccessPri
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
